Subject: Re: linux-next: build failure after merge of the final tree (block tree related)

From: Arnd Bergmann <[email-masked]>
Date: Fri, 9 Jul 2010 14:54:08 +0200

On Friday 09 July 2010, Stephen Rothwell wrote:

> I applied the following patch for today:
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 9 Jul 2010 14:24:38 +1000
> Subject: [PATCH] block: fix for block tracing build error
> 
> block/compat_ioctl.c: In function 'compat_blkdev_ioctl':
> block/compat_ioctl.c:754: error: 'BLKTRACESETUP32' undeclared (first use in this function)

Yes, the fix looks right, sorry about the breakage.
I only tested with CONFIG_BLOCK_TRACE enabled, so I did not
catch this.

Jens, please apply Stephen's patch.
 
> Signed-off-by: Stephen Rothwell <[email-masked]>
Acked-by: Arnd Bergmann <[email-masked]>

	Arnd